/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.common.dto;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class CtWorkflowDto extends BaseDto {
	
	private static final long	serialVersionUID	= 2930376074976741174L;
	
	// フィールド
	private long				workflow			= 0;					//ワークフロー番号
	private int					layernumber			= 0;					//階層番号
	private String				currentstatus		= "";					//状態
	private String				rtcode				= "";					//ルートコード
	private int					deleteflag			= 0;					//削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public CtWorkflowDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return ワークフロー番号
	 */
	public long getWorkflow() {
		return workflow;
	}
	
	/**
	 * @return 階層番号
	 */
	public int getLayerNumber() {
		return layernumber;
	}
	
	/**
	 * @return 状態
	 */
	public String getCurrentStatus() {
		return currentstatus;
	}
	
	/**
	 * @return ルートコード
	 */
	public String getRtCode() {
		return rtcode;
	}
	
	/**
	 * @return 削除フラグ
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param workflow ワークフロー番号
	 */
	public void setWorkflow(long workflow) {
		this.workflow = workflow;
	}
	
	/**
	 * @param layernumber 階層番号
	 */
	public void setLayerNumber(int layernumber) {
		this.layernumber = layernumber;
	}
	
	/**
	 * @param currentstatus 状態
	 */
	public void setCurrentStatus(String currentstatus) {
		this.currentstatus = currentstatus;
	}
	
	/**
	 * @param rtcode ルートコード
	 */
	public void setRtCode(String rtcode) {
		this.rtcode = rtcode;
	}
	
	/**
	 * @param deleteflag 削除フラグ
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
